Bug 227248 - net/librdkafka: fix pkg-plist, remove python dependency
Summary: net/librdkafka: fix pkg-plist, remove python dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Luca Pizzamiglio
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2018-04-03 09:24 UTC by Sergey Akhmatov
Modified: 2018-04-11 08:27 UTC (History)
1 user (show)

See Also:
pizzamig: maintainer-feedback+
koobs: merge-quarterly?


Attachments
librdkafka.patch (1.01 KB, patch)
2018-04-03 09:24 UTC, Sergey Akhmatov
sergey: maintainer-approval? (pizzamig)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey Akhmatov 2018-04-03 09:24:32 UTC
Created attachment 192163 [details]
librdkafka.patch

1) poudriere testport fails on QA:
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: libdata/pkgconfig/rdkafka++-static.pc
Error: Orphaned: libdata/pkgconfig/rdkafka-static.pc

Addition of pkg-config files for static linking is mentioned in changelog fo 0.11.4, so they should be added to pkg-plist:
https://github.com/edenhill/librdkafka/releases/tag/v0.11.4

2) It builds fine without python now. Due to lds-gen.py is no more required, we don't need to shebangfix it.
https://github.com/edenhill/librdkafka/commit/828e5788f8b1d5555a2963ed9ed2c5b1c34bee95
Comment 1 commit-hook freebsd_committer 2018-04-06 15:45:10 UTC
A commit references this bug:

Author: pizzamig
Date: Fri Apr  6 15:44:57 UTC 2018
New revision: 466647
URL: https://svnweb.freebsd.org/changeset/ports/466647

Log:
  met/librdkafka: fix pkg-plist, remove python dependency

  PR:		227248
  Submitted by:	 Sergey Akhmatov <sergey@akhmatov.ru>
  MFH:		2018Q2

Changes:
  head/net/librdkafka/Makefile
  head/net/librdkafka/pkg-plist
Comment 2 commit-hook freebsd_committer 2018-04-11 08:11:53 UTC
A commit references this bug:

Author: pizzamig
Date: Wed Apr 11 08:11:20 UTC 2018
New revision: 467034
URL: https://svnweb.freebsd.org/changeset/ports/467034

Log:
  MFH: r466647

  net/librdkafka: fix pkg-plist, remove python dependency

  PR:		227248
  Submitted by:	 Sergey Akhmatov <sergey@akhmatov.ru>

  Approved by:	ports-secteam (riggs)

Changes:
_U  branches/2018Q2/
  branches/2018Q2/net/librdkafka/Makefile
  branches/2018Q2/net/librdkafka/pkg-plist
Comment 3 Luca Pizzamiglio freebsd_committer 2018-04-11 08:27:20 UTC
Thanks for reporting and providing a patch!
Committed